freebsd-ports/www/tomcat55/files/pkg-install.in
Sam Lawrance a0156c5c5b Clean up Tomcat 4, 4.1, 5, and 5.5 ports.
These changes apply to all ports, unless mentioned otherwise:

- Move jakarta-tomcat55 to tomcat55 (it is no longer a Jakarta project). [6]
- Improve the tomcat55 rc script.  Fix PID handling.  Improve the
  shutdown process.  Use USE_RC_SUBR to its full potential. [2]
- Backport tomcat55 rc script to the other tomcat ports.  This allows
  us to pass command line arguments to the JVM.  Noted in UPDATING.
  [1], [3], [4]
- Change ownership of installed files.  All files are now installed
  with default uid/gid (root:wheel) except for those in the conf/, logs/,
  temp/ and work/ directories. [5]
- No longer install tomcatXXctl binary.  rc scripts are more flexible
  and can be reconfigured without recompiling.
- Remove AUTO_START and STOP_TIMEOUT (replaced with rc tomcatXX_stop_timeout).
- Remove a long list of sed expressions in favour of SUB_LIST.
- Move pkg_{,de}install to files/pkg_{,de}install.in.  Add them to
  SUB_FILES.  Tidy up substitutions and remove hardcoded values.
- Some nonfunctional tidying and removal of Makefile cruft.

PR:		ports/38018 [1], ports/38020 [2], ports/74344 [3],
		ports/75143 [4], ports/83434 [5], ports/92692 [6]
Submitted by:	Ari Suutari <ari.suutari@syncrontech.com> [1] [2],
		SimpleRezo Team <freebsd@simplerezo.com> [3],
		Anton Yudin <toha@toha.org.ua> [4],
		Jan Grant <jan.grant@bristol.ac.uk> [5],
		lawrance [6]
Approved by:	Kang Liu <liukang@cn.freebsd.org> (maintainer) [6]
		Maintainer timeouts on [1], [2], [3], [4], [5]
Big thanks to:	hq for the initial tomcat55 script
		jasonb on FreeNode #tomcat for packaging advice
2006-02-07 08:50:09 +00:00

53 lines
1.2 KiB
Bash

#!/bin/sh
#
# Checks if the '%%USER%%' user and '%%GROUP%%' group exist. If they don't, then
# an attempt is made to create both.
#
# $FreeBSD$
#
# Make sure we're called during the 'make install' process
if [ "$2" != "PRE-INSTALL" ]; then
exit 0
fi
# Set some constants
UID=80
GID=${UID}
USER=%%USER%%
GROUP=%%GROUP%%
# See if the group already exists
if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
# If not, try to create it
if pw groupadd "${GROUP}" -g ${GID}; then
echo "Added group \"${GROUP}\"."
elif pw groupadd "${GROUP}"; then
echo "Added group \"${GROUP}\"."
else
echo "Adding group \"${GROUP}\" failed..."
exit 1
fi
fi
# See if the user already exists
if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
# If not, try to create it
if pw useradd "${USER}" -u ${UID} -g "${GROUP}" -h - \
-s "/sbin/nologin" -d "/nonexistent" \
-c "World Wide Web Owner";
then
echo "Added user \"${USER}\"."
elif pw useradd "${USER}" -g "${GROUP}" -h - \
-s "/sbin/nologin" -d "/nonexistent" \
-c "World Wide Web Owner";
then
echo "Added user \"${USER}\"."
else
echo "Adding user \"${USER}\" failed..."
exit 1
fi
fi
exit 0